--- eventum-20060725/templates/notifications/account_details.tpl.text	2006-08-03 03:34:29.098159073 +0300
+++ eventum-20060725.tpl/templates/notifications/account_details.tpl.text	2006-08-03 03:36:47.981258519 +0300
@@ -1,4 +1,4 @@
-{textformat style="email"}{t name=$app_title}This is an automated message sent at your request from %1.{/t}
+{textformat style="email"}{t escape=no name=$app_title}This is an automated message sent at your request from %1.{/t}
 
 {t escape=no}Your full account information is available below.{/t}
 {/textformat}
--- eventum-20060725/templates/notifications/assigned.tpl.text	2006-08-03 03:34:29.098159073 +0300
+++ eventum-20060725.tpl/templates/notifications/assigned.tpl.text	2006-08-03 03:36:47.981258519 +0300
@@ -1,6 +1,6 @@
-{textformat style="email"}{t 1=$app_title}This is an automated message sent at your request from %1{/t}.
+{textformat style="email"}{t escape=no 1=$app_title}This is an automated message sent at your request from %1{/t}.
 
-{t 1=$current_user}An issue was assigned to you by %1{/t}
+{t escape=no 1=$current_user}An issue was assigned to you by %1{/t}
 
 
 {t escape=no}To view more details of this issue, or to update it, please visit the following URL{/t}:
@@ -19,5 +19,5 @@
 ----------------------------------------------------------------------
 
 {textformat style="email"}
-{t 1=$app_title}Please Note: If you do not wish to receive any future email notifications from %1, please change your account preferences by visiting the URL below{/t}:
+{t escape=no 1=$app_title}Please Note: If you do not wish to receive any future email notifications from %1, please change your account preferences by visiting the URL below{/t}:
 {$app_base_url}preferences.php{/textformat}
\ No newline at end of file
--- eventum-20060725/templates/notifications/closed.tpl.text	2006-08-03 03:34:29.098159073 +0300
+++ eventum-20060725.tpl/templates/notifications/closed.tpl.text	2006-08-03 03:36:47.981258519 +0300
@@ -1,4 +1,4 @@
-{textformat style="email"}{t name=$app_title}This is an automated message sent at your request from %1.{/t}
+{textformat style="email"}{t escape=no name=$app_title}This is an automated message sent at your request from %1.{/t}
 
 {t escape=no}This issue was just closed by{/t} {$data.closer_name}{if $data.reason != ''}
  {t escape=no}with the message{/t}: {$data.reason}{/if}.
@@ -20,5 +20,5 @@
 ----------------------------------------------------------------------
 
 {textformat style="email"}
-{t name=$app_title}Please Note: If you do not wish to receive any future email notifications from %1, please change your account preferences by visiting the URL below{/t}:
+{t escape=no name=$app_title}Please Note: If you do not wish to receive any future email notifications from %1, please change your account preferences by visiting the URL below{/t}:
 {$app_base_url}preferences.php{/textformat}
\ No newline at end of file
--- eventum-20060725/templates/notifications/files.tpl.text	2006-08-03 03:34:29.098159073 +0300
+++ eventum-20060725.tpl/templates/notifications/files.tpl.text	2006-08-03 03:36:47.981258519 +0300
@@ -31,5 +31,5 @@
 ----------------------------------------------------------------------
 
 {textformat style="email"}
-{t 1=$app_title}Please Note: If you do not wish to receive any future email notifications from %1, please change your account preferences by visiting the URL below{/t}:
+{t escape=no 1=$app_title}Please Note: If you do not wish to receive any future email notifications from %1, please change your account preferences by visiting the URL below{/t}:
 {$app_base_url}preferences.php{/textformat}
\ No newline at end of file
--- eventum-20060725/templates/notifications/new.tpl.text	2006-08-03 03:34:29.098159073 +0300
+++ eventum-20060725.tpl/templates/notifications/new.tpl.text	2006-08-03 03:36:47.981258519 +0300
@@ -1,4 +1,4 @@
-{textformat style="email"}{t name=$app_title}This is an automated message sent at your request from %1{/t}.
+{textformat style="email"}{t escape=no name=$app_title}This is an automated message sent at your request from %1{/t}.
 
 {t escape=no}A new issue was just created and assigned to you.{/t}
 
@@ -17,7 +17,7 @@
 ----------------------------------------------------------------------
 
 {textformat style="email"}
-{t name=$app_title}Please Note: If you do not wish to receive any future email
+{t escape=no name=$app_title}Please Note: If you do not wish to receive any future email
 notifications from %1, please change your account preferences by
 visiting the URL below{/t}:
 {$app_base_url}preferences.php{/textformat}
--- eventum-20060725/templates/notifications/new_auto_created_issue.tpl.text	2006-08-03 03:34:29.098159073 +0300
+++ eventum-20060725.tpl/templates/notifications/new_auto_created_issue.tpl.text	2006-08-03 03:36:47.981258519 +0300
@@ -3,7 +3,7 @@
 {t escape=no}Dear{/t} {$sender_name},
 
 {/if}
-{t name=$app_title}This is an automated message sent at your request from %1{/t}.
+{t escape=no name=$app_title}This is an automated message sent at your request from %1{/t}.
 
 {t escape=no}We received a message from you and for your convenience, we created an issue that will be used by our staff to handle your message.{/t}
 {/textformat}
@@ -25,7 +25,7 @@
 
 {if $sender_can_access == 1}
 {textformat style="email"}
-{t name=$app_title}Please Note: If you do not wish to receive any future email
+{t escape=no name=$app_title}Please Note: If you do not wish to receive any future email
 notifications from %1, please change your account preferences by
 visiting the URL below{/t}:
 {$app_base_url}preferences.php
--- eventum-20060725/templates/notifications/new_issue.tpl.text	2006-08-03 03:34:29.098159073 +0300
+++ eventum-20060725.tpl/templates/notifications/new_issue.tpl.text	2006-08-03 03:36:47.981258519 +0300
@@ -42,5 +42,5 @@
 {/if}
 
 {textformat style="email"}
-{t 1=$app_title}Please Note: If you do not wish to receive any future email notifications from %1, please change your account preferences by visiting the URL below{/t}:
+{t escape=no 1=$app_title}Please Note: If you do not wish to receive any future email notifications from %1, please change your account preferences by visiting the URL below{/t}:
 {$app_base_url}preferences.php{/textformat}
\ No newline at end of file
--- eventum-20060725/templates/notifications/notes.tpl.text	2006-08-03 03:34:29.098159073 +0300
+++ eventum-20060725.tpl/templates/notifications/notes.tpl.text	2006-08-03 03:36:47.981258519 +0300
@@ -20,5 +20,5 @@
 {t escape=no}To view more details of this issue, or to update it, please visit the following URL{/t}:
 {$app_base_url}view.php?id={$data.iss_id}
 
-{t name=$app_title}Please Note: If you do not wish to receive any future email notifications from %1, please change your account preferences by visiting the URL below{/t}:
+{t escape=no name=$app_title}Please Note: If you do not wish to receive any future email notifications from %1, please change your account preferences by visiting the URL below{/t}:
 {$app_base_url}preferences.php{/textformat}
\ No newline at end of file
--- eventum-20060725/templates/notifications/updated.tpl.text	2006-08-03 03:34:29.098159073 +0300
+++ eventum-20060725.tpl/templates/notifications/updated.tpl.text	2006-08-03 03:36:47.981258519 +0300
@@ -13,5 +13,5 @@
 ----------------------------------------------------------------------
 
 {textformat style="email"}
-{t 1=$app_title}Please Note: If you do not wish to receive any future email notifications from %1, please change your account preferences by visiting the URL below{/t}:
+{t escape=no 1=$app_title}Please Note: If you do not wish to receive any future email notifications from %1, please change your account preferences by visiting the URL below{/t}:
 {$app_base_url}preferences.php{/textformat}
\ No newline at end of file
--- eventum-20060725/templates/notifications/updated_account.tpl.text	2006-08-03 03:34:29.098159073 +0300
+++ eventum-20060725.tpl/templates/notifications/updated_account.tpl.text	2006-08-03 03:36:47.981258519 +0300
@@ -1,4 +1,4 @@
-{t 1=$app_title}Your user account has been updated in %1{/t}.
+{t escape=no 1=$app_title}Your user account has been updated in %1{/t}.
 
 {t escape=no}Your account information as it now exists appears below.{/t}
 
--- eventum-20060725/templates/notifications/updated_password.tpl.text	2006-08-03 03:34:29.098159073 +0300
+++ eventum-20060725.tpl/templates/notifications/updated_password.tpl.text	2006-08-03 03:36:47.981258519 +0300
@@ -1,4 +1,4 @@
-{t name=$app_title}Your user account password has been updated in %1{/t}.
+{t escape=no name=$app_title}Your user account password has been updated in %1{/t}.
 
 {t escape=no}Your account information as it now exists appears below.{/t}
 