--- ../include/class.workflow.php~	2005-06-25 23:25:54.000000000 +0300
+++ ../include/class.workflow.php	2005-06-27 01:48:42.270679613 +0300
@@ -140,6 +140,7 @@
      * @param   integer $usr_id The ID of the user.
      * @param   array $old_details The old details of the issues.
      * @param   array $changes The changes that were applied to this issue (the $HTTP_POST_VARS)
+     * @return  ???
      */
     function handleIssueUpdated($prj_id, $issue_id, $usr_id, $old_details, $changes)
     {
@@ -157,6 +158,7 @@
      * @param   integer $prj_id The project ID
      * @param   integer $issue_id The ID of the issue.
      * @param   integer $usr_id The id of the user who assigned the issue.
+     * @return  ???
      */
     function handleAssignment($prj_id, $issue_id, $usr_id)
     {
@@ -174,6 +176,7 @@
      * @param   integer $prj_id The project ID
      * @param   integer $issue_id The ID of the issue.
      * @param   integer $usr_id The id of the user who locked the issue.
+     * @return  ???
      */
     function handleAttachment($prj_id, $issue_id, $usr_id)
     {
@@ -193,6 +196,7 @@
      * @param   integer $usr_id The id of the user who locked the issue.
      * @param   array $old_details The old details of the issue.
      * @param   array $changes The changes that were applied to this issue (the $HTTP_POST_VARS)
+     * @return  ???
      */
     function handlePriorityChange($prj_id, $issue_id, $usr_id, $old_details, $changes)
     {
@@ -211,6 +215,7 @@
      * @param   integer $issue_id The ID of the issue.
      * @param   array $email_details Details of the issue
      * @param   string $type What type of blocked email this is.
+     * @return  ???
      */
     function handleBlockedEmail($prj_id, $issue_id, $email_details, $type)
     {
@@ -231,6 +236,7 @@
      * @param   array $issue_details The old details of the issue.
      * @param   array $new_assignees The new assignees of this issue.
      * @param   boolean $remote_assignment If this issue was remotely assigned.
+     * @return  ???
      */
     function handleAssignmentChange($prj_id, $issue_id, $usr_id, $issue_details, $new_assignees, $remote_assignment = false)
     {
@@ -249,6 +255,7 @@
      * @param   integer $issue_id The ID of the issue.
      * @param   boolean $has_TAM If this issue has a technical account manager.
      * @param   boolean $has_RR If Round Robin was used to assign this issue.
+     * @return  ???
      */
     function handleNewIssue($prj_id, $issue_id, $has_TAM, $has_RR)
     {
@@ -267,6 +274,7 @@
      * @param   integer $issue_id The ID of the issue.
      * @param   array $message An object containing the new email
      * @param   array $row The array of data that was inserted into the database.
+     * @return  ???
      */
     function handleNewEmail($prj_id, $issue_id, $message, $row = false)
     {
@@ -283,6 +291,7 @@
      *
      * @param   integer $prj_id The project ID
      * @param   integer $issue_id The ID of the issue.
+     * @return  ???
      */
     function handleManualEmailAssociation($prj_id, $issue_id)
     {
@@ -301,6 +310,7 @@
      * @param   integer $issue_id The ID of the issue.
      * @param   integer $usr_id The user ID of the person posting this new note
      * @param   boolean $closing If the issue is being closed
+     * @return  ???
      */
     function handleNewNote($prj_id, $issue_id, $usr_id, $closing = false)
     {
@@ -334,7 +344,7 @@
      * 
      * @param   integer $prj_id The project ID
      * @param   integer $issue_id The ID of the issue.
-     * @return  array An associative array of statuses valid for this issue.
+     * @return  void
      */
     function handleIssueClosed($prj_id, $issue_id)
     {
@@ -342,7 +352,7 @@
             return;
         }
         $backend =& Workflow::_getBackend($prj_id);
-        return $backend->handleIssueClosed($prj_id, $issue_id);
+        $backend->handleIssueClosed($prj_id, $issue_id);
     }
     
     
@@ -383,7 +393,7 @@
             return;
         }
         $backend =& Workflow::_getBackend($prj_id);
-        return $backend->handleSCMcheckins($prj_id, $issue_id, $module, $files, $username, $commit_msg);
+        $backend->handleSCMcheckins($prj_id, $issue_id, $module, $files, $username, $commit_msg);
     }
 }
 